Bug 1124778 - [xmlrpc] Invoke TestCase.create to create case with estimated_time, system returns 400 error
Summary: [xmlrpc] Invoke TestCase.create to create case with estimated_time, system re...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 09:49 UTC by yangqiu
Modified: 2018-07-04 21:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-07-30 09:49:59 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Invoke TestCase.create to create case with estimated_time, like:
In [53]: value = {
   ....:     'category': 718,
   ....:     'product': 144,
   ....:     'summary': 'yq case 2',
   ....:     'priority': 1,
   ....:     'case_status': 1,
   ....:     'plan': 10121,
   ....:     'estimated_time':90060,
   ....: }

In [54]: n.TestCase.create(value)

Actual results:
system returns 400 error.
Fault: <Fault 400: ['need more than 1 value to unpack']>

Expected results:
system save the new case.

Additional info:
the above issue also happened when invoking TestCase.update to update case's estimated_time

Comment 1 yangqiu 2014-08-05 09:03:43 UTC
verify this issue on v3.8.10-1 on devel.--->Fail

Invoke 
n.TestCase.update([293356],{'estimated_time':'12:45:33'}) or n.TestCase.update([293356],{'estimated_time':'12h45m33s'})
will return 400 error as follow:
Fault: <Fault 400: ["[('estimated_time', u'Enter a valid estimated time. e.g. 12h45m')]"]>

Comment 2 yangqiu 2014-08-13 07:44:19 UTC
verify this issue on v3.8.10-1 on devel.--->Pass
verify steps are same as comment 1.


Note You need to log in before you can comment on or make changes to this bug.